#!/bin/bash

#shellcheck disable=SC1090,SC1091
source /service-fabric/modules/utils.sh

function print_pvc_status() {
    section "Block Storage"
    if [ "$pvcBound" == "true" ];
    then
        add_to_report info "Healthy. PVC bound successfully"
    else
        add_to_report error "There is some issue with PVC Binding. Please check the default storageclass"
    fi
}

# Creates a pod with PVC and checks if it gets bound, as block storage check
function check_pvc_bound_status() {
    kubectl create -f "$BASE_PATH/modules/pod-with-pvc.yaml"

    counter=0
    export pvcBound=false

    until [ "$counter" -ge 10 ] 
    do
        pvcClaimStatus=$(kubectl -n uipath-infra get pvc longhorn-volv-pvc -o=jsonpath="{.status.phase}")
  
        if [ "$pvcClaimStatus" = "Bound" ]
        then
            export pvcBound=true
            break
        fi

        counter=$((counter+1))
        sleep 15
    done

    kubectl delete -f "$BASE_PATH/modules/pod-with-pvc.yaml"
    print_pvc_status
}

check_pvc_bound_status