#!/bin/bash

TARGET_LOCATION=$1

if [ -z "$TARGET_LOCATION" ]
then
  echo "Target location not specified"
fi

MONGO_DIR=$(cd "$(dirname "${BASH_SOURCE[0]}")" && pwd)
if [[ -z "${MONGO_DIR}" ]]; then
  error "Could not determine script path"
fi

readonly MONGO_DIR

#data gathering script. must be run on any node of the k8s cluster
NAMESPACE=mongodb

MONGO_BUNDLE_LOCATION=mongo_support_bundle_$(date +%Y_%m_%d_%H_%M_%S)
readonly MONGO_BUNDLE_LOCATION

mkdir -p ~/tmp/"$MONGO_BUNDLE_LOCATION"
cd ~/tmp/"$MONGO_BUNDLE_LOCATION" || exit
TARGET=$(kubectl -n $NAMESPACE get mongodbcommunity -o json | jq -r '.items[0].metadata.name')
bash "${MONGO_DIR}"/oper_diag.sh $NAMESPACE "$TARGET"

cd ..
TARGET_FILE_NAME=$(basename "$MONGO_BUNDLE_LOCATION")
tar czf "$TARGET_FILE_NAME".tgz "$MONGO_BUNDLE_LOCATION"
cp "$TARGET_FILE_NAME".tgz "$TARGET_LOCATION"
rm "$TARGET_FILE_NAME".tgz
